//-----------------------------------------------------
//File: lcd_iic.h
//Auth: ELECTRONIC ASSEMBLY JM
//DATE: 08-07-2012
//-----------------------------------------------------
#ifndef LCDSPI_H
#define LCDSPI_H

#define ADR 0x78   //0x7A if SA0 is set to 1

//--- Port definitions ---
#define SDA		p3_4
#define ddSDA	pd3_4
#define SCL		p3_5
#define ddSCL	pd3_5

#define SA0		p3_3
#define ddSA0	pd3_3
#define RES		p6_3
#define ddRES	pd6_3

//--- Standard definitions for LCD ---
#define LCD_HOME_L1	0x80
#define LINE1	0
/*
//HD44780
#define LINE2	LINE1+0x40
#define LINE3	LINE1+0x14
#define	LINE4 	LINE2+0x14
*/
//KS0073/SSD1803(A)
#define LINE2	LINE1+0x20
#define LINE3	LINE1+0x40
#define	LINE4 	LINE1+0x60

#define DISPLAY_ON 	0x04
#define DISPLAY_OFF 0x03
#define CURSOR_ON	0x02
#define CURSOR_OFF	0x05
#define BLINK_ON	0x01
#define BLINK_OFF	0x06


#define TOPVIEW		0x05
#define BOTTOMVIEW	0x06

#define ROMA		0x00
#define ROMB		0x04
#define ROMC		0x0C



void initDispl(void);


void WriteChar		(char character);
void WriteString	(_far char * string);
void SetPostion		(char pos);
void DisplayOnOff	(char data);
void DefineCharacter(unsigned char postion, unsigned char *data);
void ClrDisplay		(void);
void SetContrast	(unsigned char contr);
void SetView		(unsigned char view);
void SetROM			(unsigned char rom);
#define GETCURSORADDR()	CheckBusy()


//Normally you don't need these functions outside this module
static void WriteIns		(char ins);
static void WriteData		(char data);

unsigned char CheckBusy		(void);
static unsigned char IIC_put(unsigned char cb, unsigned char db);
static unsigned char IIC_get(void);

static void IIC_Start		(void);
static void IIC_Stop		(void);
static unsigned char IIC_TxByte	(char data);

#endif